## glvideomixerelement

glvideomixerelement

## Properties

GstGLVideoMixerBackground | background | Read / Write

## Types and Values

struct | GstGLVideoMixer
enum | GstGLVideoMixerBackground

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAggregator
                        ╰── GstVideoAggregator
                            ╰── GstGLBaseMixer
                                ╰── GstGLMixer
                                    ╰── GstGLVideoMixer

## Implemented Interfaces

GstGLVideoMixer implements GstChildProxy.

## Description

## Synopsis

### Element Information

plugin | openglmixers
author | Matthew Waters <matthew@centricular.com>
class | Filter/Effect/Video/Compositor

### Element Pads

name | sink_%u
direction | sink
presence | request
details | video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstGLVideoMixer

    struct GstGLVideoMixer;

### enum GstGLVideoMixerBackground

The different backgrounds compositor can blend over.

#### Members

GST_GL_VIDEO_MIXER_BACKGROUND_CHECKER | checker pattern background |
GST_GL_VIDEO_MIXER_BACKGROUND_BLACK | solid color black background |
GST_GL_VIDEO_MIXER_BACKGROUND_WHITE | solid color white background |
GST_GL_VIDEO_MIXER_BACKGROUND_TRANSPARENT | background is left transparent and layers are composited using "A OVER B" composition rules. This is only applicable to AYUV and ARGB (and variants) as it preserves the alpha channel and allows for further mixing. |

## Property Details

### The `“background”` property

      “background”               GstGLVideoMixerBackground

Background type.

Flags: Read / Write

Default value: Checker pattern